> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook subscription



## OpenAPI

````yaml /openapi.json post /v1/hooks/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/hooks/:
    post:
      tags:
        - Webhooks
      summary: Create webhook subscription
      operationId: v1_hooks_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Webhook'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        destination_url:
          type: string
          format: uri
          minLength: 1
        topic:
          $ref: '#/components/schemas/TopicEnum'
      required:
        - destination_url
        - id
        - topic
    TopicEnum:
      enum:
        - customer_created
        - customer_updated
        - customer_address_created
        - customer_address_updated
        - customer_address_deleted
        - customer_approved
        - customer_unapproved
        - order_created
        - order_approved
        - shipment_created
        - order_terms_payment_created
        - order_terms_payment_reversed
        - order_terms_allowance_created
        - order_terms_allowance_reversed
        - order_refund_created
        - payout_created
        - rep_created
      type: string
      description: |-
        * `customer_created` - Customer Created
        * `customer_updated` - Customer Updated
        * `customer_address_created` - Customer Address Created
        * `customer_address_updated` - Customer Address Updated
        * `customer_address_deleted` - Customer Address Deleted
        * `customer_approved` - Customer Approved
        * `customer_unapproved` - Customer Unapproved
        * `order_created` - Order Created
        * `order_approved` - Order Approved
        * `shipment_created` - Shipment Created
        * `order_terms_payment_created` - Order Terms Payment Created
        * `order_terms_payment_reversed` - Order Terms Payment Reversed
        * `order_terms_allowance_created` - Order Terms Allowance Created
        * `order_terms_allowance_reversed` - Order Terms Allowance Reversed
        * `order_refund_created` - Order Refund Created
        * `payout_created` - Payout Created
        * `rep_created` - Rep Created
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````